summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2015-12-18 18:09:58 -0500
committerMichael Sterrett <mr_bones_@gentoo.org>2015-12-18 18:09:58 -0500
commit79f874d07b7fee8ac9128fe85fb057912aecd487 (patch)
tree91cd468702382b3e4362d88f9ef49db0da93a67f /games-puzzle/mirrormagic/mirrormagic-2.0.2-r1.ebuild
parentapp-eselect/eselect-python: Install wrapper for 'idle' (diff)
downloadgentoo-79f874d07b7fee8ac9128fe85fb057912aecd487.tar.gz
gentoo-79f874d07b7fee8ac9128fe85fb057912aecd487.tar.bz2
gentoo-79f874d07b7fee8ac9128fe85fb057912aecd487.zip
Patch to attempt to fix building with gcc5 (bug #568618)
Package-Manager: portage-2.2.24
Diffstat (limited to 'games-puzzle/mirrormagic/mirrormagic-2.0.2-r1.ebuild')
-rw-r--r--games-puzzle/mirrormagic/mirrormagic-2.0.2-r1.ebuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/games-puzzle/mirrormagic/mirrormagic-2.0.2-r1.ebuild b/games-puzzle/mirrormagic/mirrormagic-2.0.2-r1.ebuild
index 919e55b0d64c..ac9c25b8ab20 100644
--- a/games-puzzle/mirrormagic/mirrormagic-2.0.2-r1.ebuild
+++ b/games-puzzle/mirrormagic/mirrormagic-2.0.2-r1.ebuild
@@ -27,8 +27,10 @@ src_prepare() {
epatch \
"${FILESDIR}"/${P}-gcc41.patch \
"${FILESDIR}"/${P}-parallel.patch \
- "${FILESDIR}"/${P}-64bit.patch
- rm -f ${PN}
+ "${FILESDIR}"/${P}-64bit.patch \
+ "${FILESDIR}"/${P}-gcc5.patch \
+ "${FILESDIR}"/${P}-editor.patch
+ rm -f ${PN} || die
}
src_compile() {
@@ -41,7 +43,7 @@ src_compile() {
EXTRA_LDFLAGS="${LDFLAGS}" \
RO_GAME_DIR="${GAMES_DATADIR}"/${PN} \
RW_GAME_DIR="${GAMES_STATEDIR}"/${PN} \
- TARGET=$(use sdl && echo sdl || echo x11)
+ TARGET=$(usex sdl sdl x11)
}
src_install() {